| The Gaudi Framework v32r1 (f65d50dc)

Public Member Functions | List of all members
IThreadPoolSvc Class Referenceabstract

Abstract interface for a service that manages a thread pool. More...

`#include <GaudiKernel/IThreadPoolSvc.h>`

Inheritance diagram for IThreadPoolSvc:
[legend]
Collaboration diagram for IThreadPoolSvc:
[legend]

## Public Member Functions
| DeclareInterfaceID (IThreadPoolSvc, 1, 0)
| InterfaceID. More...
virtual StatusCode | initPool (const int &poolSize)=0
| Initializes the thread pool. More...
virtual StatusCode | terminatePool ()=0
| Finalize the thread pool. More...
virtual int | poolSize () const =0
| Size of the initialized thread pool. More...
virtual void | initThisThread ()=0
| Do thread local initialization of current thread. More...
Public Member Functions inherited from IInterface
virtual void * | i_cast (const InterfaceID &) const =0
| main cast function More...
virtual std::vector< std::string > | getInterfaceNames () const =0
| Returns a vector of strings containing the names of all the implemented interfaces. More...
virtual unsigned long | addRef ()=0
| Increment the reference count of Interface instance. More...
virtual unsigned long | release ()=0
| Release Interface instance. More...
virtual unsigned long | refCount () const =0
| Current reference count. More...
virtual StatusCode | queryInterface (const InterfaceID &ti, void **pp)=0
| Set the void** to the pointer to the requested interface of the instance. More...
virtual | ~IInterface ()=default
| Virtual destructor. More...

## Additional Inherited Members
Public Types inherited from IInterface
enum | Status : StatusCode::code_t { Status::FAILURE = 0, Status::SUCCESS = 1, Status::NO_INTERFACE, Status::VERSMISMATCH, Status::LAST_ERROR }
| Return status. More...
using | iid = Gaudi::InterfaceId< IInterface, 0, 0 >
| Interface ID. More...
using | ext_iids = Gaudi::interface_list< iid >
| Extra interfaces. More...
Static Public Member Functions inherited from IInterface
static const InterfaceID & | interfaceID ()
| Return an instance of InterfaceID identifying the interface. More...

## Detailed Description

Abstract interface for a service that manages a thread pool.

Also provides a method to retrieve a list of thread initialization tools. initialization tools.

Author
  Charles Leggett

Date
  2015-09-01

Definition at line 23 of file IThreadPoolSvc.h.

## Member Function Documentation

## ◆ DeclareInterfaceID()

IThreadPoolSvc::DeclareInterfaceID | ( | IThreadPoolSvc | ,
|  | 1 | ,
|  | 0 |
| ) |  |

InterfaceID.

## ◆ initPool()

virtual StatusCode IThreadPoolSvc::initPool | ( | const int & | poolSize | ) |
| pure virtual

Initializes the thread pool.

## ◆ initThisThread()

virtual void IThreadPoolSvc::initThisThread | ( |  | ) |
| pure virtual

Do thread local initialization of current thread.

Should only be used if it's determined that it has not already been done.

## ◆ poolSize()

virtual int IThreadPoolSvc::poolSize | ( |  | ) | const
| pure virtual

Size of the initialized thread pool.

## ◆ terminatePool()

virtual StatusCode IThreadPoolSvc::terminatePool | ( |  | ) |
| pure virtual

Finalize the thread pool.

The documentation for this class was generated from the following file:

- GaudiKernel/GaudiKernel/IThreadPoolSvc.h